|	debug.g - debugging routines (sdump_data and sdump_call)
|	Greg Alexander - 99/8/10


|	sdump_data - ( -- )
|	dump the data stack
:sdump_data
"	move.l	A6,-(A6)
	.dup 0 .swap datastktop .lt sdump_data_helper drop2 >ifte
		| ( adr row )
'sdump_data_helper	.dup2 .swap 0 .rot 0x07 .rot4 .print_long 
	.dup 8 .swap 0x20 .rot 0x07 .rot .put_attr_xy
	.dup2 .swap .bang 9 .rot 0x07 .rot4 .print_long 
	1 .add .swap 4 .add
	.dup .rot datastktop .lt sdump_data_helper drop2 >ifte


|	sdump_call - ( -- )
|	dump the call stack
:sdump_call
"	move.l	A7,-(A6)
	.dup 0 .swap callstktop .lt sdump_call_helper drop2 >ifte
		| ( adr row )
'sdump_call_helper	.dup2 .swap 20 .rot 0x07 .rot4 .print_long 
	.dup 28 .swap 0x20 .rot 0x07 .rot .put_attr_xy
	.dup2 .swap .bang 29 .rot 0x07 .rot4 .print_long 
	1 .add .swap 4 .add
	.dup .rot callstktop .lt sdump_call_helper drop2 >ifte
