|	final.g - the main routine plus a couple helpers
|	Greg Alexander - 99/8/6


|	main - ( -- )
|	if this were to return, it would be best, but in this program,
|	it won't ever return -- it's called from the initialization code
|	in basic_words.g
:main	.vid_init .int6_init .init_game .getchar .drop
	,jiffies nibble_time .add >main_loop
'main_loop	.parse_input .step_game |.sdump_data	| do a frame
		.wait_for nibble_time .add >main_loop	| delay

'parse_input	.getchar_nb .dup -1 .eq drop pi_help >ifte
'pi_help	.dup key_l_l .eq pi_l_l .ift
		.dup key_l_d .eq pi_l_d .ift
		.dup key_l_u .eq pi_l_u .ift
		.dup key_l_r .eq pi_l_r .ift
		.dup key_r_l .eq pi_r_l .ift
		.dup key_r_d .eq pi_r_d .ift
		.dup key_r_u .eq pi_r_u .ift
		.dup key_r_r .eq pi_r_r .ift
		.dup key_exit .eq pi_exit .ift
		.drop >parse_input
'pi_l_l	0 0 >set_direction
'pi_l_d	1 0 >set_direction
'pi_l_u	2 0 >set_direction
'pi_l_r	3 0 >set_direction
'pi_r_l	0 1 >set_direction
'pi_r_d	1 1 >set_direction
'pi_r_u	2 1 >set_direction
'pi_r_r	3 1 >set_direction
'pi_exit .int6_release >exit


|	constants
"nibble_time	= 12	| 60/nibble_time frames/sec
"key_l_l	= 'z'	| left player move left
"key_l_d	= 'x'	| left player move down
"key_l_u	= 's'	| left player move up
"key_l_r	= 'c'	| left player move right
"key_r_l	= ','	| right player move left
"key_r_d	= '.'	| right player move down
"key_r_u	= 'l'	| right player move up
"key_r_r	= '/'	| right player move right
"key_exit	= 'q'	| exit key


|	wait_for - ( jiffy -- jiffy )
|	waits until the jiffies counter is >= jiffy
'wait_for .dup ,jiffies .gt wait_for >ift

